So you got an email from Apple saying "ITMS-90809: Deprecated API Usage", and they said you were using the deprecated UIWebView APIs. You went away, diligently checked your code for UIWebView references (you switched to using WKWebView ages ago, right?), found one lingering, removed it, and resubmitted. Or perhaps you found a 3rd party dependency you'd not updated since 2017, so you ran pod update. Job done!

Then you got the email again.

ITMS-90809: Deprecated API Usage – Apple will stop accepting submissions of apps that use UIWebView APIs. See https://developer.apple.com/documentation/uikit/uiwebview for more information.

What’s probably happening is that one of the third party frameworks that your app is still using UIWebView.

Igor Kulman has made a detailed blog post about how to determine which frameworks use UIWebView. I’ve taken his instructions one step further and written a bash script to recursively search a directory for all frameworks and report on if they contain the UIWebView symbols.

You can download the gist here. If you have any comments, questions or want some help running this script, get in touch with me on Twitter.

Photo by Miguel Tomás on Unsplash